libinput (1.10.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Apr 2018 13:16:50 +0300

libinput (1.10.3-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * control: Update VCS urls.
  * control: Add more packages to libinput-dev Depends as a workaround for
    buggy meson/pkg-config. (Closes: #893067)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 18 Mar 2018 15:39:44 +0200

libinput (1.10.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #892714)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 14 Mar 2018 11:04:22 +0200

libinput (1.10.2-1) unstable; urgency=medium

  * New upstream release.
    - touchpad fixes (LP: #1751190)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Mar 2018 17:51:58 +0200

libinput (1.10.1-1) unstable; urgency=medium

  * New upstream release.
    - fix crashers (Closes: #891579) (LP: #1750664)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 28 Feb 2018 18:20:21 +0200

libinput (1.10.0-1) unstable; urgency=medium

  * New upstream release. (LP: #1749340)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Feb 2018 22:14:47 +0200

libinput (1.9.4-2) unstable; urgency=medium

  * Drop the patch, it doesn't work well enough detecting when to
    disable hysteresis. (Closes: #884599)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Dec 2017 00:22:44 +0200

libinput (1.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Add fix-lp1696929.patch to fix unresponsive/laggy touchpad behaviour
    caused by inappropriate use of software hysteresis (LP: #1696929).
    Thanks, Daniel van Vugt!

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Dec 2017 12:40:25 +0200

libinput (1.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 30 Nov 2017 20:05:41 +0100

libinput (1.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Switch to meson.
  * Add new symbols.
  * Move libinput-{dev,tools} to priority optional.
  * Add python3 dependencies for new python scripts.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 18 Nov 2017 18:47:56 +0100

libinput (1.8.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1; no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 10 Oct 2017 20:18:13 +0200

libinput (1.8.2-1) unstable; urgency=medium

  * New upstream release.
  * local-options: Add circle.yml to extend-diff-ignore.
  * Bump Standards-Version to 4.1.0; no changes needed.
  * Bump debhelper compat to 10.
    + dh-autoreconf is enabled by default in compat 10.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 09 Sep 2017 14:20:15 +0200

libinput (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: Explicitly disable building debug-gui, documentation and
    tests.
  * tools: Add debug tools.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Jul 2017 00:56:56 +0300

libinput (1.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 20 Jun 2017 19:18:50 +0300

libinput (1.7.2-1) experimental; urgency=medium

  * New upstream release.
  * local-options: Add test/generate-gcov-report.sh to extend-diff-
    ignore.
  * Update symbols file.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 May 2017 15:53:14 +0300

libinput (1.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 14 Mar 2017 13:36:36 +0200

libinput (1.6.2-1) unstable; urgency=medium

  * New upstream release.
    + Fixes slow tap timeout. Closes: #853869.
  * Bump libwacom-dev requirement to 0.20.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 27 Feb 2017 20:23:59 +0100

libinput (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 25 Jan 2017 00:24:53 +0100

libinput (1.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 17 Jan 2017 20:21:47 +0100

libinput (1.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 08 Dec 2016 16:18:19 +0200

libinput (1.5.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Add libudev-dev to libinput-dev depends. (Closes: #846506)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 Dec 2016 10:07:40 +0200

libinput (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * watch: Let uscan verify tarball signatures.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Nov 2016 15:58:09 +0200

libinput (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libinput10.symbols: add new symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 14 Sep 2016 11:45:02 +0200

libinput (1.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 19 Aug 2016 08:56:04 +0200

libinput (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libinput10.symbols: add new symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 01 Aug 2016 17:54:58 +0200

libinput (1.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 17 Jul 2016 18:56:44 +0200

libinput (1.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes 'libinput is very choppy with ELAN1000 touchpads'
    (Closes: #825784)

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 30 May 2016 12:29:50 +0200

libinput (1.3.0-2) unstable; urgency=medium

  * rules: Use --fail-missing for dh_install.
  * rules: Use proper udev base dir.
  * rules: Purge .la files.
  * Install udev quirks and helpers in libinput-bin. (Closes: #822872)
  * Drop manual -dbg package.
  * control: Fix Vcs-Git url.
  * copyright: Update license, copyrights.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 May 2016 14:24:09 +0300

libinput (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Updated.
  * control: Use https vcs urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 May 2016 11:01:43 +0300

libinput (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * copyright: Drop trailing / from Files-Excluded.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 19 Apr 2016 11:36:37 +0300

libinput (1.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Apr 2016 23:41:40 +0300

libinput (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Mar 2016 10:49:19 +0200

libinput (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Add libwacom-dev to build-depends.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 23 Feb 2016 16:23:11 +0200

libinput (1.1.7-1) unstable; urgency=medium

  * New upstream release

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 10 Feb 2016 17:19:28 +0100

libinput (1.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 05 Feb 2016 10:37:55 +0100

libinput (1.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Jan 2016 14:13:45 +0200

libinput (1.1.3-1) unstable; urgency=medium

  [ Andreas Boll ]
  * Change maintainer to Debian X Strike Force.

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Dec 2015 14:54:35 +0200

libinput (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Add a package for libinput-tools, thanks Alessio Treglia!
    (Closes: #806985)
  * control: Update long descriptions.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Dec 2015 08:34:16 +0200

libinput (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 27 Oct 2015 14:54:45 +0200

libinput (1.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Sep 2015 11:52:08 +0300

libinput (0.21.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Add Vcs urls.
  * symbols: Updated.
  * source/local-options: Added extend-diff-ignore to filter files only
    in git and not in upstream tarballs.
  * Add a udeb package.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 07 Aug 2015 08:41:30 +0300

libinput (0.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Hector Oron <zumbi@debian.org>  Sat, 13 Jun 2015 01:52:44 +0200

libinput (0.15.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 27 May 2015 00:19:33 +0200

libinput (0.15.0-1) experimental; urgency=medium

  * New upstream release.
    - see upstream changes: http://www.freedesktop.org/wiki/Software/libinput/
  * d/control: update ABI/API to libinput10.

 -- Hector Oron <zumbi@debian.org>  Wed, 06 May 2015 11:16:14 +0200

libinput (0.10.0-1) experimental; urgency=medium

  * New upstream release, bugfix release:
    - A call to libinput_device_config_accel_set_speed() with a value of NAN
      triggered an assert() in libinput. Thanks to Olivier for hunting this
      down.
    - Pointer devices with absolute axes (such as the ones used in VMs)
      had an uninitialized pointer acceleration speed, triggering a warning in
      the xorg libinput driver.

 -- Hector Oron <zumbi@debian.org>  Fri, 06 Feb 2015 02:25:54 +0100

libinput (0.9.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Support for hovering fingers on touchpads. Some touchpads detect fingers
      before actually touching the surface causing unexpected motion
      events. libinput now handles such touchpads.
    - Click methods are now configurable, see below for more details.
    - Support for the Lenovo X1 Carbon 3rd was added. Note that this requires
      kernel patches and a udev hwdb addition, see this post for more details:
  http://who-t.blogspot.com.au/2015/01/lenovos-x1-carbon-3rd-touchpad-woes.html
  * d/libinput7.symbols: update 

 -- Hector Oron <zumbi@debian.org>  Fri, 30 Jan 2015 13:21:30 +0100

libinput (0.8.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * d/control: add myself to uploaders
  * Upload to experimental.
  * d/control: bump standards version, no changes needed.
  * d/control: bump libinput5 to libinput7. soname bump.
  * d/libinput7.install: bump lib soname
  * d/libinput7.symbols: update

 -- Hector Oron <zumbi@debian.org>  Sat, 24 Jan 2015 10:54:10 +0100

libinput (0.6.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 16 Sep 2014 22:23:11 +0200

libinput (0.6.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.

 -- Hector Oron <zumbi@debian.org>  Fri, 12 Sep 2014 16:41:38 +0200

libinput (0.5.0+dfsg-1) unstable; urgency=medium

  * debian/copyright,
    debian/watch:
    + Exclude doc/html/* from the tarballs. Those are autogenerated doxygen
      files that we don't ship and that can be easily rebuilt if necessary.
      Closes: #757572.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 05 Sep 2014 00:21:35 +0200

libinput (0.5.0-1) experimental; urgency=medium

  * New upstream release.
    + The SONAME was bumped, thus rename the shared library package to
      libinput3.
  * debian/libinput3.symbols:
    + Updated for the new symbols.
  * debian/copyright:
    + Updated.
  * debian/gbp.conf:
    + Update for experimental.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 09 Aug 2014 01:32:46 +0200

libinput (0.2.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf:
    + Update for unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 31 May 2014 21:16:54 +0200

libinput (0.2.0-1) experimental; urgency=medium

  * New upstream release.
    + There is no API/ABI stability promise yet, but the API and ABI have
      been mostly stable so far. Since this is only in experimental at this
      point and there are no rdepends, I won't change the library name. That
      will change once there are rdepends or once the library is in unstable.
  * debian/copyright:
    + Updated copyright years.
  * debian/libinput0.symbols:
    + Updated for the new symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 22 May 2014 18:48:01 +0200

libinput (0.1.0-1) experimental; urgency=medium

  * Initial release. Closes: #740223.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 01 Mar 2014 19:03:37 +0100
